com.sleepycat.db

## Class ReplicationManagerSiteInfo

- java.lang.Object
- - com.sleepycat.db.ReplicationManagerSiteInfo

-     public class ReplicationManagerSiteInfo
      extends java.lang.Object

  A simple wrapper class to hold information needed to define a replication site.

  ReplicationManagerSiteInfo objects are returned by `Environment.getReplicationManagerSiteList`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ReplicationHostAddress` | `addr` The replication site's address
    `int` | `eid` The replication site's identifier

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr, int eid)` Create a ReplicationManagerSiteInfo with the given information, isConnected defaults to false.
    `ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr, int eid, boolean isConnected)` Create a ReplicationManagerSiteInfo with the given information.
    `ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr, int eid, boolean isConnected, boolean isPeer, boolean isView)` Create a ReplicationManagerSiteInfo with the given information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReplicationManagerConnectionStatus` | `getConnectionStatus()` The status of the replication site's connection.
    `boolean` | `isConnected()` Deprecated. Replaced by `getConnectionStatus()`
    `boolean` | `isPeer()` The replication site is a peer.
    `boolean` | `isView()` The replication site is a view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### addr

          public ReplicationHostAddress addr

      The replication site's address

    - #### eid

          public int eid

      The replication site's identifier

  - ### Constructor Detail

    - #### ReplicationManagerSiteInfo

          public ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr,
                                            int eid)

      Create a ReplicationManagerSiteInfo with the given information, isConnected defaults to false.
      Parameters:
        `hostAddr` - the host address
        `eid` - the environment ID

    - #### ReplicationManagerSiteInfo

          public ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr,
                                            int eid,
                                            boolean isConnected)

      Create a ReplicationManagerSiteInfo with the given information.
      Parameters:
        `hostAddr` - the host address
        `eid` - the environment ID
        `isConnected` - is connected

    - #### ReplicationManagerSiteInfo

          public ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr,
                                            int eid,
                                            boolean isConnected,
                                            boolean isPeer,
                                            boolean isView)

      Create a ReplicationManagerSiteInfo with the given information.
      Parameters:
        `hostAddr` - the host address
        `eid` - the environment ID
        `isConnected` - is connected
        `isPeer` - is peer
        `isView` - is view

  - ### Method Detail

    - #### getConnectionStatus

          public ReplicationManagerConnectionStatus getConnectionStatus()

      The status of the replication site's connection.
      Returns:
        the status of the replication site's connection

    - #### isConnected

          @Deprecated
          public boolean isConnected()

      Deprecated. Replaced by `getConnectionStatus()`
      The replication site is connected.
      Returns:
        if the replication site is connected

    - #### isPeer

          public boolean isPeer()

      The replication site is a peer.
      Returns:
        if the replication site is a peer

    - #### isView

          public boolean isView()

      The replication site is a view.
      Returns:
        if the replication site is a view

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.